var app = app || {};

app.init = function() {

  app.view_port();
  app.gnav();
  app.equal_height();
  app.wow();
  app.google_map();

};

app.view_port = function() {
  if (screen.width >= 751 && screen.width <= 1200 ) {
    $('head').append('<meta name="viewport" content="width=1200">');
  } else if (screen.width <= 374 ) {
    $('head').append('<meta name="viewport" content="width=375, user-scalable=no">');
  } else {
    $('head').append('<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">');
  }
};

app.do_equal_height = function(container) {
  var current_tallest = 0,
    current_row_start = 0,
    row_divs = [],
    $el,
    top_postion = 0;
  $(container).each(function() {
    $el = $(this);
    $($el).height('auto');
    top_postion = $el.position().top;
    if (current_row_start != top_postion) {
      for (current_div = 0; current_div < row_divs.length; current_div++) {
        row_divs[current_div].height(current_tallest);
      }
      row_divs.length = 0; // empty the array
      current_row_start = top_postion;
      current_tallest = $el.height();
      row_divs.push($el);
    } else {
      row_divs.push($el);
      current_tallest = (current_tallest < $el.height()) ? ($el.height()) : (current_tallest);
    }
    for (current_div = 0; current_div < row_divs.length; current_div++) {
      row_divs[current_div].height(current_tallest);
    }
  });
};

app.equal_height = function() {

  function n_equal_height() {
    if ($(window).width() > 750) {
      app.do_equal_height('.equal .e-item');
      app.do_equal_height('.equal .e-ttl');
      app.do_equal_height('.equal .e-desc');
    }
  }
  $(window).on('load resize', n_equal_height);
  n_equal_height();
};

app.gnav = function() {

  var btn_menu = $('.btn-menu');
  if ($(window).width() > 750) {
    var md_nav = $('.w-header-nav');
    btn_menu.click(function() {
      $(this).toggleClass('is-active');
      if ( $(this).hasClass('is-active') ) {
        md_nav.stop().animate({ 'width': '600px' }, 500);
      } else {
        md_nav.stop().animate({ 'width': '0' }, 500);
      }
      return false;
    });
  } else {
    var sp_nav = $('#navigation');
    btn_menu.click(function() {
      $(this).toggleClass('is-active');
      sp_nav.stop().slideToggle();
      return false;
    });
  }
};

app.wow = function () {
  new WOW().init();
};

app.google_map = function(){
  if($('#map').length > 0 ){
    //set your google maps parameters
    var $latitude = 33.770261,
      $longitude = -118.194432,
      $map_zoom = 13;

      var $marker_url = '/'+window.location.pathname.split("/")[1]+'/img/common/map_maker.png';

    //we define here the style of the map
    var style= [
    {
      "elementType": "geometry.stroke",
      "stylers": [
        {
          "visibility": "off"
        }
      ]
    },
    {
      "featureType": "landscape.natural",
      "stylers": [
        {
          "saturation": -100
        }
      ]
    },
    {
      "featureType": "poi",
      "stylers": [
        {
          "saturation": -100
        }
      ]
    },
    {
      "featureType": "road",
      "elementType": "geometry.fill",
      "stylers": [
        {
          "color": "#c0c0c0"
        }
      ]
    },
    {
      "featureType": "road",
      "elementType": "labels",
      "stylers": [
        {
          "saturation": -100
        }
      ]
    },
    {
      "featureType": "road",
      "elementType": "labels.text.fill",
      "stylers": [
        {
          "color": "#c0c0c0"
        },
        {
          "visibility": "off"
        }
      ]
    },
    {
      "featureType": "road",
      "elementType": "labels.text.stroke",
      "stylers": [
        {
          "visibility": "off"
        }
      ]
    },
    {
      "featureType": "transit",
      "elementType": "labels.icon",
      "stylers": [
        {
          "saturation": -100
        }
      ]
    },
    {
      "featureType": "transit",
      "elementType": "labels.text",
      "stylers": [
        {
          "visibility": "off"
        }
      ]
    },
    {
      "featureType": "water",
      "stylers": [
        {
          "saturation": -100
        }
      ]
    }
  ];

    //set google map options
    var map_options = {
          center: new google.maps.LatLng($latitude, $longitude),
          zoom: $map_zoom,
          panControl: false,
          zoomControl: false,
          mapTypeControl: false,
          streetViewControl: false,
          mapTypeId: google.maps.MapTypeId.ROADMAP,
          scrollwheel: false,
          styles: style,
      }
      //inizialize the map
    var map = new google.maps.Map(document.getElementById('map'), map_options);
    //add a custom marker to the map
    var marker = new google.maps.Marker({
      position: new google.maps.LatLng($latitude, $longitude),
      map: map,
      visible: true,
      icon: {
        url: $marker_url,
        scaledSize: new google.maps.Size(26,36),
        origin: new google.maps.Point(0, 0),
        anchor: new google.maps.Point(10,30),
        labelOrigin:  new google.maps.Point(0,45),
      },
    });
  };
};

$(function() {

  app.init();

});

